3 export PATH=$(dirname $0):/bin:/usr/bin:/sbin
5 cronstopstart="/etc/init.d/cron"
8 # If the noburn file is there then don't burn.
9 [ -f "$noburnfile" ] && exit 0
11 # Discover disk images by looking for .img.md5sum files in $imagedir
12 imgmd5=$(ls $imagedir/*.img.md5sum 2>/dev/null | head -n 1)
14 # If we didn't find an non-empty file then exit gracefully
15 [ -z "$imgmd5" ] && exit 0
16 [ -s "$imgmd5" ] || exit 0
20 # Get the name of the disk image by stripping off the tailing '.md5sum'
25 # A little paranoia. Make sure the disk image file is there.
26 [ -z "$img" ] && exit 1
27 [ -s "$img" ] || exit 1
29 # To avoid buffer underruns I'm going to stop cron and renice myself
33 # Burn the image to a disk.
34 cdrecord-wrapper.sh -dao dev=$sdev $img > $logfile 2>&1
36 if [ "0" != "$?" ]; then
37 echo >&2 "cdrecord failed!"
41 # We don't need to be high-priority anymore.
45 # Now verify the disk by running md5sum on the entire contents of the disk
47 dd if=$dev bs=1M count=4440 2>$logfile | md5sum | awk '{print$1}' > $md5sum
49 # Check that the md5sums match
50 if ! cmp $md5sum $img.md5sum; then
51 echo "Failed" | mailx -s "DVD md5sum doesn't match image file!!!" $mailto
55 # Record the date in the stat file to indicate that this burn was a success
62 echo "md5sum of burned disks:"
68 } | mailx -s "DVD burned. File as ${img%.*}" $mailto > $logfile 2>&1
70 # Two lines in the stat file indicate two successful burns. Clean-up the image.
71 if [ "$(wc -l $img.stat 2>/dev/null | awk '{print$1}')" == "2" ]; then
72 # Burned the image twice. Removing it and associated files!
73 rm -f $img{,.md5sum,.stat}
74 [ -d $img.mnt ] && rmdir $img.mnt